Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
Class CommandsMultiCompletor

Completor for interactive shells.

version:
  $Id: InteractiveShellRunner.groovy 8806 2007-10-25 21:58:29Z user57 $

author:
  Jason Dillon

Field Summary
`boolean` | `dirty`
`List` | `list`
`Logger` | `log`

Constructor Summary
`CommandsMultiCompletor()`

Method Summary
`int` | `complete(String buffer, int pos, List cand)`
`def` | `leftShift(Command command)`
`void` | `refresh()`

Constructor Detail

### CommandsMultiCompletor

    CommandsMultiCompletor()

Method Detail

### complete

    int complete(String buffer, int pos, List cand)

### leftShift

    public def leftShift(Command command)

### refresh

    void refresh()